Skip to content

Commit

Permalink
Browse files Browse the repository at this point in the history
  • Loading branch information
JoeLudwig committed Jul 5, 2013
2 parents c4ffd47 + 3527e2f commit a2e9dbd
Show file tree
Hide file tree
Showing 23 changed files with 32,094 additions and 32,086 deletions.
8 changes: 8 additions & 0 deletions .gitattributes
Original file line number Diff line number Diff line change
@@ -1,3 +1,11 @@
creategameprojects text
createallprojects text
vpc text
*.sh text

vpc_linux binary
vpc_osx binary

*.exe binary
protoc binary
ccache binary
8 changes: 4 additions & 4 deletions mp/src/createallprojects
Original file line number Diff line number Diff line change
@@ -1,4 +1,4 @@
#!/bin/bash

devtools/bin/vpc /hl2 /episodic +everything /mksln everything

#!/bin/bash

devtools/bin/vpc /hl2 /episodic +everything /mksln everything

8 changes: 4 additions & 4 deletions mp/src/creategameprojects
Original file line number Diff line number Diff line change
@@ -1,4 +1,4 @@
#!/bin/bash

devtools/bin/vpc /hl2 /episodic +game /mksln games

#!/bin/bash

devtools/bin/vpc /hl2 /episodic +game /mksln games

56 changes: 28 additions & 28 deletions mp/src/devtools/bin/vpc
Original file line number Diff line number Diff line change
@@ -1,28 +1,28 @@
#!/bin/bash

OS=`uname`
SCRIPTPATH=`dirname $0`
FORCEARG=""

case $OS in
"Darwin")
BINNAME=vpc_osx
;;
"Linux")
BINNAME=vpc_linux
;;
*)
echo "Couldn't find appropriate VPC binary, fix the script."
exit -1
;;
esac


if [ $OS == "Darwin" ]; then
$SCRIPTPATH/$BINNAME $@
elif [ $OS == "Linux" ]; then
$SCRIPTPATH/$BINNAME $@
else
echo "Couldn't find appropriate VPC binary, fix the script."
exit -1
fi
#!/bin/bash

OS=`uname`
SCRIPTPATH=`dirname $0`
FORCEARG=""

case $OS in
"Darwin")
BINNAME=vpc_osx
;;
"Linux")
BINNAME=vpc_linux
;;
*)
echo "Couldn't find appropriate VPC binary, fix the script."
exit -1
;;
esac


if [ $OS == "Darwin" ]; then
$SCRIPTPATH/$BINNAME $@
elif [ $OS == "Linux" ]; then
$SCRIPTPATH/$BINNAME $@
else
echo "Couldn't find appropriate VPC binary, fix the script."
exit -1
fi
82 changes: 41 additions & 41 deletions mp/src/thirdparty/protobuf-2.3.0/autogen.sh
Original file line number Diff line number Diff line change
@@ -1,41 +1,41 @@
#!/bin/sh

# Run this script to generate the configure script and other files that will
# be included in the distribution. These files are not checked in because they
# are automatically generated.

set -e

# Check that we're being run from the right directory.
if test ! -f src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the
root of the distribution tree.
__EOF__
exit 1
fi

# Check that gtest is present. Usually it is already there since the
# directory is set up as an SVN external.
if test ! -e gtest; then
echo "Google Test not present. Fetching gtest-1.3.0 from the web..."
curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
mv gtest-1.3.0 gtest
fi

set -ex

# Temporary hack: Must change C runtime library to "multi-threaded DLL",
# otherwise it will be set to "multi-threaded static" when MSVC upgrades
# the project file to MSVC 2005/2008. vladl of Google Test says gtest will
# probably change their default to match, then this will be unnecessary.
# One of these mappings converts the debug configuration and the other
# converts the release configuration. I don't know which is which.
sed -i -e 's/RuntimeLibrary="5"/RuntimeLibrary="3"/g;
s/RuntimeLibrary="4"/RuntimeLibrary="2"/g;' gtest/msvc/*.vcproj

# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
autoreconf -f -i -Wall,no-obsolete

rm -rf autom4te.cache config.h.in~
exit 0
#!/bin/sh

# Run this script to generate the configure script and other files that will
# be included in the distribution. These files are not checked in because they
# are automatically generated.

set -e

# Check that we're being run from the right directory.
if test ! -f src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the
root of the distribution tree.
__EOF__
exit 1
fi

# Check that gtest is present. Usually it is already there since the
# directory is set up as an SVN external.
if test ! -e gtest; then
echo "Google Test not present. Fetching gtest-1.3.0 from the web..."
curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
mv gtest-1.3.0 gtest
fi

set -ex

# Temporary hack: Must change C runtime library to "multi-threaded DLL",
# otherwise it will be set to "multi-threaded static" when MSVC upgrades
# the project file to MSVC 2005/2008. vladl of Google Test says gtest will
# probably change their default to match, then this will be unnecessary.
# One of these mappings converts the debug configuration and the other
# converts the release configuration. I don't know which is which.
sed -i -e 's/RuntimeLibrary="5"/RuntimeLibrary="3"/g;
s/RuntimeLibrary="4"/RuntimeLibrary="2"/g;' gtest/msvc/*.vcproj

# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
autoreconf -f -i -Wall,no-obsolete

rm -rf autom4te.cache config.h.in~
exit 0
66 changes: 33 additions & 33 deletions mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
Original file line number Diff line number Diff line change
@@ -1,33 +1,33 @@
#!/bin/sh

# Run this script to regenerate descriptor.pb.{h,cc} after the protocol
# compiler changes. Since these files are compiled into the protocol compiler
# itself, they cannot be generated automatically by a make rule. "make check"
# will fail if these files do not match what the protocol compiler would
# generate.
#
# HINT: Flags passed to generate_descriptor_proto.sh will be passed directly
# to make when building protoc. This is particularly useful for passing
# -j4 to run 4 jobs simultaneously.

if test ! -e src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the
root of the distribution tree.
__EOF__
exit 1
fi

if test ! -e src/Makefile; then
cat >&2 << __EOF__
Could not find src/Makefile. You must run ./configure (and perhaps
./autogen.sh) first.
__EOF__
exit 1
fi

cd src
make $@ protoc &&
./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \
./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto
cd ..
#!/bin/sh

# Run this script to regenerate descriptor.pb.{h,cc} after the protocol
# compiler changes. Since these files are compiled into the protocol compiler
# itself, they cannot be generated automatically by a make rule. "make check"
# will fail if these files do not match what the protocol compiler would
# generate.
#
# HINT: Flags passed to generate_descriptor_proto.sh will be passed directly
# to make when building protoc. This is particularly useful for passing
# -j4 to run 4 jobs simultaneously.

if test ! -e src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the
root of the distribution tree.
__EOF__
exit 1
fi

if test ! -e src/Makefile; then
cat >&2 << __EOF__
Could not find src/Makefile. You must run ./configure (and perhaps
./autogen.sh) first.
__EOF__
exit 1
fi

cd src
make $@ protoc &&
./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \
./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto
cd ..
Loading

0 comments on commit a2e9dbd

Please sign in to comment.